Calculate a renewal price

Prices a renewal of the listed servers without creating an order, returning the totals with and without VAT, the discount applied and the amount due today.

POST
/servers/renew/calculate

Authorization

BearerToken
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/servers/renew/calculate" \  -H "Content-Type: application/json" \  -d '{    "server_ids": [      0    ],    "billing_cycle": 1  }'
{  "amount": "string",  "amount_with_vat": "string",  "discount": "string",  "discount_with_vat": "string",  "promo_code": {    "code": "string",    "percentage": 0,    "minimum_billing_cycle": 0  },  "due_today_amount": "string",  "due_today_amount_with_vat": "string"}